import { ITabContainerProps, ITabLineProps, ITabProps } from "./types";
export declare const TabBlock: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, ITabProps, never>;
export declare const TabLine: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, ITabLineProps, never>;
export declare const FadingIcon: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, import("../../atoms/Icon").IIconProps, never>;
export declare const MainContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, ITabContainerProps, never>;
export declare const TabContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, ITabContainerProps, never>;
export declare const TabContainerLine: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, ITabLineProps, never>;
export declare const ScrollButtonContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
